Skip to main content
GET
List Credentials

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Workspace-Id
string | null

The workspace ID

Query Parameters

skip
integer
default:0

Number of credentials to skip

Required range: x >= 0
limit
integer
default:100

Number of credentials to return

Required range: 1 <= x <= 1000
credential_type
enum<string> | null

Filter by credential type

Available options:
integration,
llm,
storage,
vector_store,
auth_provider,
custom
auth_type
enum<string> | null

Filter by auth type

Available options:
api_key,
oauth_token,
oauth_token_refresh,
oauth_token_refresh_rotation,
basic_auth,
access_token,
access_token_refresh,
public_key_secret,
connection_string,
custom
status
string | null

Filter by status

search
string | null

Search in label and description

Response

Successful Response

Schema for listing credentials.

credentials
CredentialRead · object[]
required
total
integer
required
page
integer
required
size
integer
required